Mostrar correctamente mensajes de error del backend en el frontend
02/27/2026 09:14 AM - Daniel Garcia

Status: Resuelta Start date: 02/27/2026
Priority: Normal Due date:

Assignee: Daniel Garcia % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Actualmente algunos errores devueltos por backend se estan mostrando solo por consola y no llegan al usuario en pantalla (ej: al
asociar un responsable ya asociado a un programa). Es necesario unificar y completar la ldgica de propagacion de mensajes
backend — Ul.

Requisitos funcionales:

- Revisar todos los endpoints/acciones donde backend devuelve error o validacién.

- Asegurar que el frontend captura el mensaje de error y lo muestra al usuario (no solo en consola).

- Unificar formato de mensajes para que sean claros y accionables.

- Caso minimo a cubrir: asociacién de responsable ya asociado debe mostrar:

“Error al asociar responsable porque el responsable ya est4 asociado”.

- Validar en todos los flujos relevantes (crear/editar/asociar) que el usuario siempre ve el error en pantalla.

History

#1 - 03/03/2026 12:02 PM - Daniel Garcia
- Status changed from Nueva to En curso

- Assignee changed from Daniel Garcia to Jose Miguel Rosell Rosa

#2 - 03/04/2026 01:55 PM - Jose Miguel Rosell Rosa
- Status changed from En curso to Resuelta
- Assignee changed from Jose Miguel Rosell Rosa to Daniel Garcia

- % Done changed from 0 to 100

Se ha implementado un sistema unificado de gestién de errores en el backend y frontend de la aplicacion Fundagest, estandarizando los formatos de
respuesta de error y mejorando los mensajes para que sean mas claros y comprensibles para los usuarios. Ademas, se actualizaron las funciones
AJAX y los controladores del backend para garantizar una integracion consistente.
